=== modified file 'extra/Makefile.am'
--- extra/Makefile.am	2008-07-01 06:30:40 +0000
+++ extra/Makefile.am	2008-07-01 09:03:10 +0000
@@ -17,7 +17,8 @@
 			-I$(top_srcdir)/sql
 LDADD =			$(top_builddir)/mysys/libmysyslt.la \
  			$(top_builddir)/dbug/libdbuglt.la \
-                        $(top_builddir)/strings/libmystringslt.la 
+                        $(top_builddir)/strings/libmystringslt.la \
+			-lz
 
 BUILT_SOURCES=		$(top_builddir)/include/mysqld_error.h \
                         $(top_builddir)/include/sql_state.h \

=== modified file 'libmysql/Makefile.am'
--- libmysql/Makefile.am	2008-07-01 06:30:40 +0000
+++ libmysql/Makefile.am	2008-07-01 09:03:10 +0000
@@ -27,9 +27,9 @@
 pkglib_LTLIBRARIES = libmysqlclient.la
 libmysqlclient_la_SOURCES = libmysql.c password.c get_password.c errmsg.c
 libmysqlclient_la_LIBADD = ${sql_cmn_objects} ${vio_objects} ${sqlobjects} \
-			   ${top_builddir}/mysys/libmysys.la \
+			   ${top_builddir}/mysys/libmysyslt.la \
 			   ${top_builddir}/strings/libmystringslt.la \
-			   ${top_builddir}/dbug/libdbug.la
+			   ${top_builddir}/dbug/libdbuglt.la
 libmysqlclient_la_LDFLAGS = -version-info @SHARED_LIB_VERSION@ @LD_VERSION_SCRIPT@ 
 
 DEFS =			-DDEFAULT_CHARSET_HOME="\"$(MYSQLBASEdir)\"" \

=== modified file 'mysys/Makefile.am'
--- mysys/Makefile.am	2008-07-01 06:30:40 +0000
+++ mysys/Makefile.am	2008-07-01 09:03:10 +0000
@@ -21,10 +21,18 @@
 
 pkglib_LTLIBRARIES =	libmysys.la
 libmysys_la_LDFLAGS =   -static
+libmysys_la_SOURCES = 
+# This can't be listed here as $(top_builddir)/mysys/libmysyslt.la
+# # or it breaks make's dependency track for -j builds
+libmysys_la_LIBADD = libmysyslt.la
+# Force C++ linking - dummy.cxx doesn't have to exist with EXTRA in the name
 nodist_EXTRA_libmysys_la_SOURCES = dummy.cxx
 
+# Trick to get things compiled like they are shared, but linked directly in.
+noinst_LTLIBRARIES = libmysyslt.la
+
 noinst_HEADERS =	mysys_priv.h my_static.h my_handler_errors.h
-libmysys_la_SOURCES =   my_init.c my_getwd.c mf_getdate.c \
+libmysyslt_la_SOURCES = my_init.c my_getwd.c mf_getdate.c \
 			mf_path.c mf_loadpath.c my_file.c \
 			my_open.c my_create.c my_dup.c my_seek.c my_read.c \
 			my_pread.c my_write.c my_getpagesize.c \
@@ -54,8 +62,9 @@
 			sha1.c \
 			my_handler.c my_largepage.c \
 			my_memmem.c \
-			my_access.c base64.c
-libmysys_a_LIBADD =	@THREAD_LOBJECTS@
+			my_access.c base64.c \
+			thr_alarm.c thr_lock.c my_thr_init.c \
+                        thr_mutex.c thr_rwlock.c 
 DEFS =			-DDEFAULT_BASEDIR=\"$(prefix)\" \
 			-DDATADIR="\"$(MYSQLDATAdir)\"" \
 			-DDEFAULT_CHARSET_HOME="\"$(MYSQLBASEdir)\"" \
@@ -65,6 +74,3 @@
 			-DDEFAULT_SYSCONFDIR="\"$(sysconfdir)\"" \
                         @DEFS@
 
-libmysys_a_DEPENDENCIES= @THREAD_LOBJECTS@
-
-

=== modified file 'sql/Makefile.am'
--- sql/Makefile.am	2008-07-01 06:30:40 +0000
+++ sql/Makefile.am	2008-07-01 09:03:10 +0000
@@ -39,7 +39,7 @@
 noinst_LTLIBRARIES=
 
 SUPPORTING_LIBS =	$(top_builddir)/vio/libvio.a \
-			$(top_builddir)/mysys/libmysys.la \
+			$(top_builddir)/mysys/libmysyslt.la \
 			$(top_builddir)/dbug/libdbuglt.la \
 			$(top_builddir)/strings/libmystringsextra.la \
 			$(top_builddir)/strings/libmystringslt.la

=== modified file 'strings/Makefile.am'
--- strings/Makefile.am	2008-07-01 06:30:40 +0000
+++ strings/Makefile.am	2008-07-01 09:03:10 +0000
@@ -44,7 +44,7 @@
 ASRCS		=
 # These file MUST all be on the same line!! Otherwise automake
 # generats a very broken makefile
-SRCS		= strxmov.c bmove_upp.c strappend.c strcont.c strend.c strfill.c strcend.c is_prefix.c strstr.c strinstr.c strmake.c strnmov.c strmov.c longlong2str.c bmove.c bmove512.c bchange.c strxnmov.c int2str.c str2int.c bcmp.c strtoll.c strtoull.c llstr.c strnlen.c ctype.c ctype-simple.c ctype-mb.c ctype-big5.c ctype-cp932.c ctype-czech.c ctype-eucjpms.c ctype-euc_kr.c ctype-gb2312.c ctype-gbk.c ctype-sjis.c ctype-tis620.c ctype-ujis.c ctype-utf8.c ctype-ucs2.c ctype-uca.c ctype-win1250ch.c ctype-bin.c ctype-latin1.c my_vsnprintf.c xml.c decimal.c ctype-extra.c my_strtoll10.c str_alloc.c dtoa.c
+CSRCS		= strxmov.c bmove_upp.c strappend.c strcont.c strend.c strfill.c strcend.c is_prefix.c strstr.c strinstr.c strmake.c strnmov.c strmov.c longlong2str.c bmove.c bmove512.c bchange.c strxnmov.c int2str.c str2int.c bcmp.c strtoll.c strtoull.c llstr.c strnlen.c ctype.c ctype-simple.c ctype-mb.c ctype-big5.c ctype-cp932.c ctype-czech.c ctype-eucjpms.c ctype-euc_kr.c ctype-gb2312.c ctype-gbk.c ctype-sjis.c ctype-tis620.c ctype-ujis.c ctype-utf8.c ctype-ucs2.c ctype-uca.c ctype-win1250ch.c ctype-bin.c ctype-latin1.c my_vsnprintf.c xml.c decimal.c ctype-extra.c my_strtoll10.c str_alloc.c dtoa.c
 endif
 endif
 
@@ -68,7 +68,7 @@
 		t_ctype.h my_strchr.c
 
 conf_to_src_SOURCES = conf_to_src.c 
-conf_to_src_LDADD= libmystringslt.la
+conf_to_src_LDADD = libmystringslt.la
 #force static linking of conf_to_src - essential when linking against
 #custom installation of libc
 conf_to_src_LDFLAGS=

=== modified file 'unittest/mysys/Makefile.am'
--- unittest/mysys/Makefile.am	2008-07-01 06:30:40 +0000
+++ unittest/mysys/Makefile.am	2008-07-01 09:03:10 +0000
@@ -20,7 +20,7 @@
 		  $(top_builddir)/mysys/libmysyslt.la \
 		  $(top_builddir)/dbug/libdbuglt.la \
 		  $(top_builddir)/strings/libmystringslt.la \
-		  @ZLIB_LIBS@
+		  -lz
 
 noinst_PROGRAMS  = bitmap-t base64-t
 

